<?php
$template = <<<END
<!-- block_simpleslide: シンプルスライドショー -->
<aside class="mainimg">
<!--{each item/list}-->
<img src="user_data/{val item/list/image}">
<!--{/each}-->
</aside>
END;

$block_simpleslide = array(						// ブロック
	"title" => "シンプルスライドショー",	// ブロックの名称
	"name" => "block_simpleslide",			// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
	"input" => array(				// ブロックの入力定義
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=block_simpleslide",
			"class" => "notice",
		),
		"notice1" => array(
			"title" => "このブロックはトップページにしか使えません",
			"type" => "comment",
			"class"=> "notice",
		),
		"image1" => array(
			"title" => "画像1",
			"type" => "image",
		),
		"image2" => array(
			"title" => "画像2",
			"type" => "image",
		),
		"image3" => array(
			"title" => "画像3",
			"type" => "image",
		),
		"image4" => array(
			"title" => "画像4",
			"type" => "image",
		),
		"image5" => array(
			"title" => "画像5",
			"type" => "image",
		),
	),
	"repeat" => array("image"),
	"output" => "slide",		// 出力位置
);

block_add($block_simpleslide);
